Subject: Re: [crash] BUG: unable to handle kernel NULL pointer dereference at 0000000000000370

From: Larry Finger <[email-masked]>
Date: Tue, 22 Jul 2008 08:02:01 -0500

David Miller wrote:
> From: Larry Finger <[email-masked]>
> Date: Tue, 22 Jul 2008 01:34:28 -0500
> 
>> David Miller wrote:
>>> From: Larry Finger <[email-masked]>
>>> Date: Mon, 21 Jul 2008 17:40:10 -0500
>>>
>>>> Sorry :(
>>>>
>>>> I used the davem patch, the second version of your first one, and your second 
>>>> one. Both problems persist.
>>>>
>>>> Still plugging away on bisection.
>>> GIT bisecting the lockdep problem is surely going the land you on:
>>>
>>> commit e308a5d806c852f56590ffdd3834d0df0cbed8d7
>> No. It landed on this one.
> 
> For the lockdep warnings?

When I was just one commit later, I got both the lockdep warning and the BUG. 
This is the commit in question.

commit 16361127ebed0fb8f9d7cc94c6e137eaf710f676
Author: David S. Miller <[email-masked]>
Date:   Wed Jul 16 02:23:17 2008 -0700

     pkt_sched: dev_init_scheduler() does not need to lock qdisc tree.

     We are registering the device, there is no way anyone can get
     at this object's qdiscs yet in any meaningful way.

     Signed-off-by: David S. Miller <[email-masked]>

Larry